Bobi Veod OÜ


Bobi Veod OÜ

TruckersMP incompatible with latest ETS2 version

We are aware of the recent ETS game update and that it is not compatible with the mod. Our devs are working to get the mod compatible again as soon as possible. You can downgrade ETS2 to a working version. ATS is still working!

Christmas Convoy 2019 - Proudly Supporting Make-A-Wish!

For Christmas 2019, we are proudly supporting the Make-A-Wish Foundation! Please consider supporting our fundraising campaign at justgiving.com/ChristmasConvoy. Thank you.

More information available on our blog.

Information


Tag: BOB`i VEOD
Language: English
Created: 25 Sep 12:32 UTC
Supported Game
Euro Truck Simulator 2
Owner: Matrov2k
Members: 4
Recruitment: Open

Rules

Latest VTC Posts

There are currently no posts

CONTACT US

Want to know more information or have a question?

By Email

Requirements

Ole Eestlane ja muhe vend. Ülbikuid me ei otsi!